/**
 * Project: MentDB
 * Description: Mentalese Database Engine
 * Website: http://www.mentdb.org
 * Twitter: https://twitter.com/mentalese_db
 * LinkedIn: https://www.linkedin.com/company/mentdb
 * Facebook: https://www.facebook.com/mentdb
 * Author: Jimmitry Payet
 * Website: http://www.jpayet.re
 * Mail: contact@jpayet.re
 * Locality: Reunion Island (French)
 */

package re.jpayet.mentdb.doc;

//Basic doc page
public class Doc_to_do {
	
	static String p = "to_do";
	
	//Load the page
	public static void load() {
		
		Doc.createPage(p, "To do by priority ...");

		Doc.createSection(p, "Always", "<img src='images/p.png' style='vertical-align: middle;'> <b>Documentation:</b> &nbsp; Improve the quality of the documentation.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Algorithm:</b> &nbsp; Improve power of algorithms.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Algorithm:</b> &nbsp; Improve stability of MQL.<br>");
		Doc.createSection(p, "Priority 1", "<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Save the user stimulation tab into the user node.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Giving power to order in cognitive distance into the function 'relation search basic'.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Save the order of relation types to the brain class (from 'relation search deep' in chat mode).<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Make relation types more extensible (use 'for' loop).<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Improve the function 'relation search deep'.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create basic strategies.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create/Manage pilots strategies (to reconfigure the brain and allow the reconsideration).<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create the project and task manager.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create the plan manager.<br>"+
				"<br><img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; If not find a strategy, look for a strategy already to use.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; If not found a valid word from the stimulation, select a word already used to check the current strategy.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Create the complete map of a Mentalese exchange.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Managing chat sessions.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Revision of beliefs.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Common sense.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; More reader.<br>");
		Doc.createSection(p, "Priority 2", "<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Management of Principles.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Integration of french words and thoughts.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Integration of the primary school level.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Integration of the middle school level.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Integration of the high school level.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Integration of the university level.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create the script for the basic consciousness.<br>"+
				"<br><img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Trigger the autonomy of the brain (Continuous execution of the task manager).<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Mental process:</b> &nbsp; Self learning.<br>");
		Doc.createSection(p, "Priority 3", "<img src='images/p.png' style='vertical-align: middle;'> <b>Storage structure:</b> &nbsp; Create emotions and color the words, thoughts and relations with them.<br>"+
				"<br><img src='images/p.png' style='vertical-align: middle;'> <b>Emotional engine:</b> &nbsp; Add the emotional sensor before executing the brain clicks (to be able to cancel the cooperation).<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Emotional engine:</b> &nbsp; Creating a map of possible emotional mixes, and the emotionnal engine.<br>"+
				"<img src='images/p.png' style='vertical-align: middle;'> <b>Emotional engine:</b> &nbsp; Create a direct link between the result of the emotional mix and words, thoughts and relations.<br>");
		
	}

}
